#include "IntroView.h"
#include <math.h>

IntroView::IntroView(BRect frame)
 : BView(frame,"introview",B_FOLLOW_ALL,B_WILL_DRAW)
{
	font_height fh;
	GetFontHeight(&fh);
	fFontHeight=fh.ascent+fh.descent+fh.leading;

	fNoPeople=false;
	
}

IntroView::~IntroView(void)
{
}

void IntroView::Draw(BRect rect)
{
	BPoint pt(10,10+fFontHeight);
	
	SetFontSize(12);
	SetDrawingMode(B_OP_BLEND);
	
	if(fNoPeople)
	{
		DrawString("To begin, choose New from the Person menu.",pt);
	}
	else
	{
		DrawString("To begin, choose a group or person from the left pane.",pt);
	}
}

void IntroView::SetNoPeopleMsg(bool value)
{
	if(fNoPeople==value)
		return;
	
	fNoPeople=value;
	Invalidate();
}
